# TransferShipments

transferShipments

## get TransferOrderShipments

> Service to get Transfer Order Shipments and its details.\
> &#x20;           This is being used to fetch all details for the Completed tab of transfer-order-details page and\
> &#x20;           transfer-shipment-review page in Fulfillment app.

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"transferShipments","description":"transferShipments"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.poorti.TransferOrderFulfillmentServices.getTransferOrderShipments.Out":{"type":"object","properties":{"shipments":{"type":"array","items":{"type":"object","properties":{"orderId":{"type":"string"},"orderDate":{"type":"string","format":"date-time"},"orderTypeId":{"type":"string"},"webSiteId":{"type":"string"},"externalId":{"type":"string"},"orderName":{"type":"string"},"statusId":{"type":"string"},"originFacilityId":{"type":"string"},"currencyUom":{"type":"string"},"shipGroupSeqId":{"type":"string"},"orderFacilityId":{"type":"string"},"facilityId":{"type":"string"},"carrierPartyId":{"type":"string"},"shipmentMethodTypeId":{"type":"string"},"shipmentId":{"type":"string"},"shipmentTypeId":{"type":"string"},"shipmentStatusId":{"type":"string"},"shipmentCreatedDate":{"type":"string","format":"date-time"},"shipmentShippedDate":{"type":"string","format":"date-time"},"shippingEstimateAmount":{"type":"number"},"trackingIdNumber":{"type":"string"},"shipmentRouteSegmentId":{"type":"string"},"routeSegShipmentMethodDescription":{"type":"string"},"statusDate":{"type":"string","format":"date-time"},"packages":{"type":"array","items":{"type":"object","properties":{"shipmentPackageSeqId":{"type":"string"},"trackingCode":{"type":"string"},"labelImageUrl":{"type":"string"},"items":{"type":"array","items":{"type":"object","properties":{"orderItemSeqId":{"type":"string"},"productId":{"type":"string"},"unitPrice":{"type":"string"},"quantity":{"type":"string"},"orderId":{"type":"string"},"orderItemStatusId":{"type":"string"},"orderedQuantity":{"type":"string"},"shipmentItemSeqId":{"type":"string"},"totalIssuedQuantity":{"type":"string"},"shipmentPackageSeqId":{"type":"string"},"shipmentStatusId":{"type":"string"}}}}}}}}}}}}}},"paths":{"/transferShipments":{"get":{"tags":["transferShipments"],"summary":"get TransferOrderShipments","description":"Service to get Transfer Order Shipments and its details.\n            This is being used to fetch all details for the Completed tab of transfer-order-details page and\n            transfer-shipment-review page in Fulfillment app.","parameters":[{"schema":{"type":"string","format":""},"name":"orderId","in":"query","required":false,"description":"The ID of the Transfer Order in OMS."},{"schema":{"type":"string","format":""},"name":"shipmentId","in":"query","required":false,"description":"The ID of the Shipment for Transfer Order in OMS."},{"schema":{"type":"string","format":""},"name":"shipmentStatusId","in":"query","required":false,"description":"The ID of the Shipment Status in OMS for Transfer Order."}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.poorti.TransferOrderFulfillmentServices.getTransferOrderShipments.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## create TransferOrderShipment

> Creates Shipment of type OUT\_TRANSFER for the Transfer Order Items to be fulfilled.

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"transferShipments","description":"transferShipments"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.poorti.TransferOrderFulfillmentServices.createTransferOrderShipment.Out":{"type":"object","properties":{"shipmentId":{"type":"string","description":"The ID of the shipment created in OMS."}}},"co.hotwax.poorti.TransferOrderFulfillmentServices.createTransferOrderShipment.In":{"type":"object","properties":{"payload":{"type":"object","properties":{"orderId":{"type":"string","description":"The ID of the Transfer Order in OMS."},"externalId":{"type":"string","description":"The ID of the Shipment in the external system."},"shipmentStatusId":{"type":"string","description":"The ID of the Shipment Status in OMS. By default it creates Shipment in SHIPMENT_PACKED status.","default":"SHIPMENT_PACKED"},"packages":{"type":"array","items":{"type":"object","properties":{"trackingNumber":{"type":"string","description":"The tracking number for the Shipment package. This could be used to store the tracking number of the\n                                package in Shipment to be created in OMS if fulfilled externally by third party eg. Wh to Store TOs."},"items":{"type":"array","description":"The list of order items to be fulfilled.","items":{"type":"object","properties":{"orderItemSeqId":{"type":"string","description":"The Seq ID of the Transfer Order Item in OMS."},"externalId":{"type":"string","description":"The ID of the Shipment Item in the external system."},"productId":{"type":"string","description":"The ID of the product in OMS for the Transfer Order Item."},"quantity":{"type":"number","description":"The quantity of the item to be fulfilled."}}}}}}}}}},"required":["payload"]}}},"paths":{"/transferShipments":{"post":{"tags":["transferShipments"],"summary":"create TransferOrderShipment","description":"Creates Shipment of type OUT_TRANSFER for the Transfer Order Items to be fulfilled.","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.poorti.TransferOrderFulfillmentServices.createTransferOrderShipment.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.poorti.TransferOrderFulfillmentServices.createTransferOrderShipment.In"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.poorti.TransferOrderFulfillmentServices.createTransferOrderShipment.In"}}},"required":true}}}}}
```

## ship TransferOrderShipment

> Ship a Transfer Order Shipment.\
> &#x20;           The service will update the trackingIdNumber, create Item Issuance, Inventory Item Detail and update the Shipment as SHIPMENT\_SHIPPED.

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"transferShipments","description":"transferShipments"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.poorti.TransferOrderFulfillmentServices.shipTransferOrderShipment.In":{"type":"object","properties":{"shipmentId":{"type":"string","description":"The ID of the Transfer Order Shipment in OMS."},"trackingIdNumber":{"type":"string","description":"The tracking number for the Shipment."},"shipmentRouteSegmentId":{"type":"string","description":"The ID of the Shipment Route Segment in OMS."},"carrierPartyId":{"type":"string","description":"The ID of carrier party in OMS."},"shipmentMethodTypeId":{"type":"string","description":"The Shipment Method Type in OMS."}},"required":["shipmentId","shipmentRouteSegmentId"]}}},"paths":{"/transferShipments/{shipmentId}/ship":{"post":{"tags":["transferShipments"],"summary":"ship TransferOrderShipment","description":"Ship a Transfer Order Shipment.\n            The service will update the trackingIdNumber, create Item Issuance, Inventory Item Detail and update the Shipment as SHIPMENT_SHIPPED.","parameters":[{"schema":{"type":"string"},"name":"shipmentId","in":"path","required":true,"description":"The ID of the Transfer Order Shipment in OMS."}],"responses":{"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.poorti.TransferOrderFulfillmentServices.shipTransferOrderShipment.In"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.poorti.TransferOrderFulfillmentServices.shipTransferOrderShipment.In"}}},"required":true}}}}}
```

## GET /transferShipments/orders

> get TransferShipmentOrders

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"transferShipments","description":"transferShipments"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.poorti.TransferOrderFulfillmentServices.getTransferShipmentOrders.Out":{"type":"object","properties":{"orders":{"type":"array","items":{"type":"object","properties":{"orderId":{"type":"string"},"externalId":{"type":"string"},"orderName":{"type":"string"},"shipmentShippedDate":{"type":"string"},"statusId":{"type":"string"}}}},"ordersCount":{"type":"integer","format":"int32"}}}}},"paths":{"/transferShipments/orders":{"get":{"tags":["transferShipments"],"summary":"get TransferShipmentOrders","description":null,"parameters":[{"schema":{"type":"string","format":""},"name":"orderId","in":"query","required":false,"description":"The ID of the Transfer Order in OMS."},{"schema":{"type":"string","format":""},"name":"originFacilityId","in":"query","required":false,"description":"The ID of the origin facility of the Transfer Order in OMS."},{"schema":{"type":"string","format":""},"name":"destinationFacilityId","in":"query","required":false,"description":"The ID of the destination facility of the Transfer Order in OMS."},{"schema":{"type":"string","format":""},"name":"orderName","in":"query","required":false,"description":"The order name of Transfer Order."},{"schema":{"type":"string","format":""},"name":"shipmentStatusId","in":"query","required":false,"description":"The ID of the Shipment Status in OMS. By default it returns Shipment in SHIPMENT_SHIPPED status."},{"schema":{"type":"string","format":""},"name":"fromShipmentShippedDate","in":"query","required":false,"description":"The shipment shipped date of Transfer Order."},{"schema":{"type":"integer","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero."},{"schema":{"type":"integer","format":"int32"},"name":"limit","in":"query","required":false,"description":"Number of records per page (default 20)."}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.poorti.TransferOrderFulfillmentServices.getTransferShipmentOrders.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## get TransferOrderShipmentPackage

> Service to get Transfer Order Shipment Packages.\
> &#x20;           This is being used to fetch the package level details for the Shipped TOs be able to search\
> &#x20;           by tracking number and order name in the Receiving app.

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"transferShipments","description":"transferShipments"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.poorti.TransferOrderFulfillmentServices.getTransferOrderShipmentPackage.Out":{"type":"object","properties":{"shipmentPackagesCount":{"type":"integer","format":"int32"},"shipmentPackages":{"type":"array","items":{"type":"object","properties":{"orderId":{"type":"string"},"orderName":{"type":"string"},"orderExternalId":{"type":"string"},"shipmentId":{"type":"string"},"shipmentPackageSeqId":{"type":"string"},"shipmentPackageCreatedDate":{"type":"string"},"trackingCode":{"type":"string"}}}}}}}},"paths":{"/transferShipments/packages":{"get":{"tags":["transferShipments"],"summary":"get TransferOrderShipmentPackage","description":"Service to get Transfer Order Shipment Packages.\n            This is being used to fetch the package level details for the Shipped TOs be able to search\n            by tracking number and order name in the Receiving app.","parameters":[{"schema":{"type":"string","format":""},"name":"orderId","in":"query","required":false,"description":"The ID of the Transfer Order in OMS."},{"schema":{"type":"string","format":""},"name":"orderName","in":"query","required":false,"description":"The ID of the Transfer Order in OMS."},{"schema":{"type":"string","format":""},"name":"shipmentId","in":"query","required":false,"description":"The ID of the Shipment for Transfer Order in OMS."},{"schema":{"type":"string","format":""},"name":"originFacilityId","in":"query","required":false,"description":"The ID of the origin facility of the Transfer Order Shipment in OMS."},{"schema":{"type":"string","format":""},"name":"destinationFacilityId","in":"query","required":false,"description":"The ID of the destination facility of the Transfer Order Shipment in OMS."},{"schema":{"type":"string","format":""},"name":"shipmentStatusId","in":"query","required":false,"description":"The ID of the Shipment Status in OMS for Transfer Order.\n                    By default it returns Shipment Packages for Shipments in SHIPMENT_SHIPPED status."},{"schema":{"type":"string","format":""},"name":"trackingNumber","in":"query","required":false,"description":"The tracking number of the Shipment Package for Transfer Order."},{"schema":{"type":"string","format":""},"name":"fromShipmentPackageCreatedDate","in":"query","required":false,"description":"The created date of Shipment Package for Transfer Order."},{"schema":{"type":"integer","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero."},{"schema":{"type":"integer","format":"int32"},"name":"limit","in":"query","required":false,"description":"Number of records per page (default 20)."}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.poorti.TransferOrderFulfillmentServices.getTransferOrderShipmentPackage.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hotwax.co/documents/integrate-with-hotwax/components/fulfillment/transfershipments.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
